package control;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;


public class MailAuthenticator extends Authenticator
{
	PasswordAuthentication pa;

	public MailAuthenticator(String username, String password)
	{
		this.pa = new PasswordAuthentication(username, password);
	}

	protected PasswordAuthentication getPasswordAuthentication()
	{
		return this.pa;
	}
	
}
